> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Invitations



## OpenAPI

````yaml GET /v1/user-invitations
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/user-invitations:
    get:
      tags:
        - user-invitations
      parameters:
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            anyOf:
              - type: string
                enum:
                  - PLATFORM
              - type: string
                enum:
                  - PROJECT
          in: query
          name: type
          required: true
        - schema:
            type: string
            nullable: true
          in: query
          name: projectId
          required: false
        - schema:
            anyOf:
              - type: string
                enum:
                  - PENDING
              - type: string
                enum:
                  - ACCEPTED
          in: query
          name: status
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created:
                          type: string
                        updated:
                          type: string
                        email:
                          type: string
                        status:
                          anyOf:
                            - type: string
                              enum:
                                - PENDING
                            - type: string
                              enum:
                                - ACCEPTED
                        type:
                          anyOf:
                            - type: string
                              enum:
                                - PLATFORM
                            - type: string
                              enum:
                                - PROJECT
                        platformId:
                          type: string
                        platformRole:
                          type: string
                          enum:
                            - ADMIN
                            - MEMBER
                            - OPERATOR
                          nullable: true
                        projectId:
                          type: string
                          nullable: true
                        projectRoleId:
                          type: string
                          nullable: true
                        projectRole:
                          type: object
                          properties:
                            id:
                              type: string
                            created:
                              type: string
                            updated:
                              type: string
                            name:
                              type: string
                            permissions:
                              type: array
                              items:
                                type: string
                            platformId:
                              type: string
                            type:
                              type: string
                            userCount:
                              type: number
                          required:
                            - id
                            - created
                            - updated
                            - name
                            - permissions
                            - type
                          nullable: true
                      required:
                        - id
                        - created
                        - updated
                        - email
                        - status
                        - type
                        - platformId
                  next:
                    description: Cursor to the next page
                    type: string
                    nullable: true
                  previous:
                    description: Cursor to the previous page
                    type: string
                    nullable: true
                required:
                  - data
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````